Bug 10948 - Some strings in the authority result list turned out untranslatable
Summary: Some strings in the authority result list turned out untranslatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nuño López Ansótegui
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 10691
  Show dependency treegraph
 
Reported: 2013-09-25 15:37 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Authority search result list (33.76 KB, image/png)
2013-09-25 15:37 UTC, Katrin Fischer
Details
Bug 10948: make reference labels translatable in OPAC auth results (1.52 KB, patch)
2013-09-25 15:58 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 10948: make reference labels translatable in OPAC auth results (1.58 KB, patch)
2013-09-30 08:52 UTC, Nuño López Ansótegui
Details | Diff | Splinter Review
Bug 10948: make reference labels translatable in OPAC auth results (1.71 KB, patch)
2013-09-30 08:56 UTC, Nuño López Ansótegui
Details | Diff | Splinter Review
Bug 10948: make reference labels translatable in OPAC auth results (1.58 KB, patch)
2013-09-30 08:59 UTC, Nuño López Ansótegui
Details | Diff | Splinter Review
[PASSED QA] Bug 10948: make reference labels translatable in OPAC auth results (1.92 KB, patch)
2013-09-30 18:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-09-25 15:37:36 UTC
Created attachment 21449 [details]
Authority search result list

The see from and see also texts in the authority result list are not picked up by the translation scripts.
Comment 1 Jared Camins-Esakov 2013-09-25 15:58:41 UTC Comment hidden (obsolete)
Comment 2 I'm just a bot 2013-09-29 06:16:26 UTC
Patch applied cleanly, go forth and signoff
Comment 3 Nuño López Ansótegui 2013-09-30 08:52:12 UTC Comment hidden (obsolete)
Comment 4 Nuño López Ansótegui 2013-09-30 08:56:12 UTC Comment hidden (obsolete)
Comment 5 Nuño López Ansótegui 2013-09-30 08:59:13 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-09-30 18:35:39 UTC
Created attachment 21681 [details] [review]
[PASSED QA] Bug 10948: make reference labels translatable in OPAC auth results

For some reason the translator script was not picking up the see also
and used for/see from labels on the OPAC. This patch fixes the problem.

To test:
1) Apply patch.
2) Generate PO files.
3) Note that "see from" and "used for/see from" appear.
4) Sign off.

Signed-off-by: Nuño López Ansótegui <nunyo@masmedios.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, thx for the fix.
Tested by updating the German po files, translating the
strings and installing the templates.
Verified strings show up in German in the authority
result list.
Comment 7 Galen Charlton 2013-10-02 15:22:34 UTC
Pushed to master.  Thanks, Jared!
Comment 8 Tomás Cohen Arazi 2013-10-02 15:42:52 UTC
I'd like to note that bug 10691 fixes this for the staff interface also.
Comment 9 Nuño López Ansótegui 2013-10-03 07:01:49 UTC
(In reply to Tomás Cohen Arazi from comment #8)
> I'd like to note that bug 10691 fixes this for the staff interface also.

I thought too, however in staff interface there isn't such problem.
Comment 10 Tomás Cohen Arazi 2013-11-13 17:36:32 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Jared!